#!/bin/sh
#
# $FreeBSD: ports/audio/icecast2/files/icecast2.sh.in,v 1.3 2006/02/20 20:46:48 dougb Exp $
#

# PROVIDE: icecast2
# REQUIRE: DAEMON
# BEFORE:  login
# KEYWORD: shutdown

# Add the following line to /etc/rc.conf to enable `icecast2'. This requires
# a working configuration in /usr/local/etc/icecast.xml.
#
#icecast_enable="YES"
#
# Make sure the <changeowner> section in your /usr/local/etc/icecast.xml is
# not commented out - icecast refuses to run as root.
#

. "/etc/rc.subr"

name="icecast"
rcvar=`set_rcvar`

command="/usr/local/bin/icecast"
command_args="1>/dev/null"
required_files="/usr/local/etc/$name.xml"

# read configuration and set defaults
load_rc_config "$name"
: ${icecast_enable="NO"}
: ${icecast_flags="-c ${required_files} -b"}

run_rc_command "$1"
